#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.6.0.0
visibility:           public
id:                   lsp-1.6.0.0-5dSiEfvOOMj4EfMfVyJKbn
key:                  lsp-1.6.0.0-5dSiEfvOOMj4EfMfVyJKbn
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  7a988d9086993e2b22b347985f03786c
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Logging,
    Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.6.0.0-Ekludu2clS74EofMm4G7KM:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.6.0.0-Ekludu2clS74EofMm4G7KM:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.6.0.0-Ekludu2clS74EofMm4G7KM:Language.LSP.Types.Lens,
    Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.6.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp
hs-libraries:         HSlsp-1.6.0.0-5dSiEfvOOMj4EfMfVyJKbn
depends:
    aeson-2.1.2.1-9T6l6SxZl5u1C3PaFHxalW
    async-2.2.5-GOT0v2vzV5iH7iWkyOUIC3
    attoparsec-0.14.4-IDdHCXuvqZFAtv2X99gOjm base-4.16.4.0
    bytestring-0.11.4.0 co-log-core-0.3.2.3-3Ez4bCs1RUQ86U4VSyfq4V
    containers-0.6.5.1 data-default-0.7.1.1-4Q2QEONQl2rBpJbSE6OFE3
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.2
    hashable-1.4.4.0-JynHLbpSPE72B4j6uWctY4
    lens-5.2.3-FaAjdvRjDs8BQhMYQYzR8W
    lsp-types-1.6.0.0-Ekludu2clS74EofMm4G7KM mtl-2.2.2
    prettyprinter-1.7.1-KnGgQk2daq0AGFQwkmg3r7
    random-1.2.1.2-5cse3egicJy98i0Qegn8w0
    sorted-list-0.2.2.0-98vsBv4aEWMGuGFVCFia8z stm-2.5.0.2
    temporary-1.3-DATkUsat1JlDqMx0zIhbDL text-1.2.5.0
    text-rope-0.3-AJYSTZxWV312ZzeAeSAv2J transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-AzoOiKjV26Z32LkoSmNfI7
    uuid-1.3.15-GgZA6NmaCxuGtPyN28H93d

haddock-interfaces:   /usr/share/doc/haskell-lsp/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

